Skip to main content
POST
/
v1
/
accounts
/
contacts
/
ingest
curl --request POST \ --url https://platform.thena.ai/v1/accounts/contacts/ingest \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data ' { "users": [ { "firstName": "John", "lastName": "Doe", "email": "john.doe@example.com" } ], "sinkSource": "MANUAL" } '
{
  "statusCode": 200,
  "message": "Users ingested successfully!",
  "data": [
    {
      "uid": "cc_123456789",
      "firstName": "John",
      "lastName": "Doe",
      "email": "john.doe@example.com",
      "phoneNumber": "+1234567890",
      "avatarUrl": "https://example.com/avatar.jpg",
      "contactType": "customer",
      "createdAt": "2023-12-07T10:30:00Z",
      "updatedAt": "2023-12-07T10:30:00Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.thena.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Enter your API key

Body

application/json

Data for ingesting customer contacts

users
object[]
required

Array of customer contacts to ingest

sinkSource
enum<string>
required

The source application for the ingestion

Available options:
MANUAL,
SLACK,
TEAMS,
INTERCOM,
ZENDESK
Example:

"MANUAL"

URL to logo image for created accounts

Example:

"https://example.com/logo.png"

Response

Customer contacts ingested successfully